#ifndef XGPUVERTEXFETCHCONSTANT_H
#define XGPUVERTEXFETCHCONSTANT_H

#include "xasset.h"
#include "xgpuvertexrawrequest.h"

class XGpuVertexFetchConstant : public XAsset
{
public:
    explicit XGpuVertexFetchConstant();
    ~XGpuVertexFetchConstant();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    XGpuVertexRawRequest mRequest;
};

#endif // XGPUVERTEXFETCHCONSTANT_H
